package com.kingdee.eas.hr.project;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractMemberManagementEntryInfo extends com.kingdee.eas.framework.CoreBillEntryBaseInfo implements Serializable 
{
    public AbstractMemberManagementEntryInfo()
    {
        this("id");
    }
    protected AbstractMemberManagementEntryInfo(String pkField)
    {
        super(pkField);
    }
    /**
     * Object: ·ÖÂ¼ 's µ¥¾ÝÍ· property 
     */
    public com.kingdee.eas.hr.project.MemberManagementInfo getParent()
    {
        return (com.kingdee.eas.hr.project.MemberManagementInfo)get("parent");
    }
    public void setParent(com.kingdee.eas.hr.project.MemberManagementInfo item)
    {
        put("parent", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("95FA0614");
    }
}